# Collapsible set

Home Search

## Collapsible sets

- Basics
- Options
- Methods
- Events

The collapsibleset plugin has the following options:

`collapsedIcon` string

  default: "plus"

  Sets the icon for the headers of the collapsible containers when in a collapsed state. To set the value for all instances of this widget, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsibleset.prototype.options.collapsedIcon = "arrow-r";
      });

  This option is also exposed as a data attribute: `data-collapsed-icon="arrow-r"`.

`corners` boolean

  default: true

  Applies the theme border-radius to the first and last collapsible if set to true. To set the value for all instances of this widget, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsible.prototype.options.corners = false;
      });

  This option is also exposed as a data attribute: `data-corners="false"`.

`expandedIcon` string

  default: "minus"

  Sets the icon for the headers of the collapsible containers when in an expanded state. To set the value for all instances of this widget, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsibleset.prototype.options.expandedIcon = "arrow-d";
      });

  This option is also exposed as a data attribute: `data-expanded-icon="arrow-d"`.

`iconpos` string

  default: "left"

  Positions the icons in the collapsible headers. Possible values: left, right, top, bottom, none, notext.

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsibleset.prototype.options.iconpos = "right";
      });

  This option is also exposed as a data attribute: `data-iconpos="right"`.

`initSelector` CSS selector string

  default: ":jqmData(role='collapsible-set')"

  This is used to define the selectors (element types, data roles, etc.) that will automatically be initialized as collapsible sets. To change which elements are initialized, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsibleset.prototype.options.initSelector = ".mycollapsibleset";
      });

`inset` boolean

  default: true

  By setting this option to false the collapsibles will get a full width appearance without corners. If the value is false for an individual collapsible container, but that container is part of a collapsible set, then the value is inherited from the parent collapsible set. To set the value for all instances of this widget, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsible.prototype.options.inset = false;
      });

  This option is also exposed as a data attribute: `data-inset="false"`.

`mini` boolean

  default: false

  Sets the size of the collapsibles to a more compact, mini version. To set the value for all instances of this widget, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsibleset.prototype.options.mini = true;
      });

  This option is also exposed as a data attribute: `data-mini="true"`.

`theme` string

  default: null, inherited from parent

  Sets the color scheme (swatch) for the collapsible set. It accepts a single letter from a-z that maps to one of the swatches included in your theme. To set the value for all instances of this widget, bind this option to the mobileinit event:

      $( document ).on( "mobileinit", function(){
          $.mobile.collapsibleset.prototype.options.theme = "a";
      });

  This option is also exposed as a data attribute: `data-theme="a"`.

### More in this section

- Content Formatting
- Basic HTML styles
- Layout grids (columns)
- Responsive grids
- Collapsible content blocks
- Collapsible sets (accordions)
- Theming content